Package weka.classifiers.bayes.net

# Class MarginCalculator.JunctionTreeNode

java.lang.Object
weka.classifiers.bayes.net.MarginCalculator.JunctionTreeNode

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Enclosing class:
  `MarginCalculator`

public class MarginCalculator.JunctionTreeNode extends Object implements Serializable, RevisionHandler

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Vector`
`m_children`
`int[]`
`m_nNodes`
nodes of the Bayes net in this junction node

## Method Summary

Modifier and Type
Method
Description
`void`
`addChildClique(MarginCalculator.JunctionTreeNode child)`
`String`
`getRevision()`
Returns the revision string.
`void`
`initializeDown(boolean recursively)`
`void`
`initializeUp()`
`void`
`setEvidence(int nNode, int iValue)`
`void`
`setParentSeparator(MarginCalculator.JunctionTreeSeparator parentSeparator)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### m_nNodes

public int[] m_nNodes
nodes of the Bayes net in this junction node

### m_children

public Vector m_children

## Method Details

### setParentSeparator

public void setParentSeparator(MarginCalculator.JunctionTreeSeparator parentSeparator)

### addChildClique

public void addChildClique(MarginCalculator.JunctionTreeNode child)

### initializeUp

public void initializeUp()

### initializeDown

public void initializeDown(boolean recursively)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setEvidence

public void setEvidence(int nNode, int iValue) throws Exception

Throws:
  `Exception`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision